1. Education
VTU API
  • Overview
  • Commission
  • Airtime
    • Providers
      GET
    • Payment
      POST
  • Data Bundle
    • Get Providers
      GET
    • Get Data Bundles
      POST
    • Payment
      POST
  • Cable TV
    • Get Providers
      GET
    • Get Bouquet
      POST
    • Validate Account
      POST
    • Payment
      POST
  • Electricity
    • Get Providers
      GET
    • Validate Account
      POST
    • Payment
      POST
  • Showmax
    • Get Bouquets
      GET
    • Payment
      POST
  • Gaming
    • Get Providers
      GET
    • Validate Account
      POST
    • Payment
      POST
  • Wallet
    • Balance
      GET
  • Education
    • Get Providers
      GET
    • Get Exam Types
      POST
    • Payment
      POST
  • Schedule Payments
    • Setup
      • Options
      • Bundles
    • Create
      • Create - Airtime (one time)
      • Create - Data (monthly)
      • Create - Cable TV (monthly)
      • Create - Electricity (weekly)
    • Manage
      • List schedules
      • Get schedule
      • Update schedule
      • Pay now
      • Retry failed run
      • Pause
      • Resume
      • Cancel (archive)
      • Re-enable
      • Delete
  • Buy Bulk Airtime
    • Bulk airtime
    • List bulk requests
    • Get bulk request
    • Download report (CSV)
    • Cancel
    • Query one number
  • Webhook (reference)
  1. Education

Payment

Developing
POST
https://api.paybeta.ng/v2/education/purchase

Request

Authorization
Add parameter in header
P-API-KEY
Example:
P-API-KEY: ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.paybeta.ng/v2/education/purchase' \
--header 'Accept: application/json' \
--header 'P-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "service": "jamb",
    "examCode": "UTMEWOM",
    "customerId": "529***4301",
    "amount": 7600,
    "reference": "{{$timestamp}}"
}'
Response Response Example
{}
Modified at 2026-10-18 19:27:06
Previous
Get Exam Types
Next
Schedule Payments
Built with